Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/AlgorithmExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/AlgorithmExtensions.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/AlgorithmExtensions.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   public static class AlgorithmExtensions {
     public static void StartSync(this IExecutable executable, CancellationToken cancellationToken) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/CloningConstructorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/CloningConstructorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/CloningConstructorTest.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class CloningConstructorTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/CollectObjectGraphTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/CollectObjectGraphTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/CollectObjectGraphTest.cs	(revision 9764)
@@ -31,8 +31,7 @@
 using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TestFunctions;
-using HeuristicLab.SequentialEngine;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class CollectObjectGraphTest {
@@ -103,5 +102,5 @@
         ga.PopulationSize.Value = 5;
         ga.MaximumGenerations.Value = 5;
-        ga.Engine = new SequentialEngine();
+        ga.Engine = new SequentialEngine.SequentialEngine();
         ga.Problem = new SingleObjectiveTestFunctionProblem();
 
@@ -133,5 +132,5 @@
           ga.PopulationSize.Value = 5;
           ga.MaximumGenerations.Value = 5;
-          ga.Engine = new SequentialEngine();
+          ga.Engine = new SequentialEngine.SequentialEngine();
           ga.Problem = new SingleObjectiveTestFunctionProblem();
           ga.Prepare(true);
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ContentViewTests.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ContentViewTests.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ContentViewTests.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class ContentViewTests {
@@ -70,6 +70,5 @@
         try {
           accessor.OnContentChanged();
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           Assert.Fail(viewType.ToString() + Environment.NewLine + ex.Message);
         }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/DeepCloneableCloningTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/DeepCloneableCloningTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/DeepCloneableCloningTest.cs	(revision 9764)
@@ -30,5 +30,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   /// <summary>
   /// Summary description for DeepCloneableCloningTest
@@ -119,12 +119,10 @@
         try {
           item = (IDeepCloneable)Activator.CreateInstance(deepCloneableType, nonPublic: false);
-        }
-        catch { continue; } // no default constructor
+        } catch { continue; } // no default constructor
 
         IDeepCloneable clone = null;
         try {
           clone = (IDeepCloneable)item.Clone(new Cloner());
-        }
-        catch (Exception e) {
+        } catch (Exception e) {
           TestContext.WriteLine(Environment.NewLine + deepCloneableType.FullName + ":");
           TestContext.WriteLine("ERROR! " + e.GetType().Name + @" was thrown during cloning.
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/GeneticAlgorithmTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/GeneticAlgorithmTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/GeneticAlgorithmTest.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class GeneticAlgorithmTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/InstantiateCreatablesTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/InstantiateCreatablesTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/InstantiateCreatablesTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
 
   [TestClass]
@@ -49,6 +49,5 @@
         try {
           var instance = Activator.CreateInstance(t);
-        }
-        catch {
+        } catch {
           exceptions.Add("Error instantiating " + t.FullName);
         }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ParameterVisibilityTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ParameterVisibilityTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ParameterVisibilityTest.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class ParameterVisibilityTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/PluginDependenciesTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/PluginDependenciesTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/PluginDependenciesTest.cs	(revision 9764)
@@ -29,5 +29,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class PluginDependenciesTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/PluginLoader.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/PluginLoader.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/PluginLoader.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   public static class PluginLoader {
     public const string ExecutableExtension = ".exe";
@@ -39,6 +39,5 @@
         try {
           Assembly.LoadFrom(path);
-        }
-        catch (BadImageFormatException) { }
+        } catch (BadImageFormatException) { }
       }
       // test relevant path again to exclude previously loaded assemblies
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/SamplesTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/SamplesTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/SamplesTest.cs	(revision 9764)
@@ -41,5 +41,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.ParallelEngine;
 using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.ArtificialAnt;
@@ -61,9 +60,8 @@
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
 using HeuristicLab.Selection;
-using HeuristicLab.SequentialEngine;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   [DeploymentItem(@"HeuristicLab-3.3/Resources/C101.opt.txt")]
@@ -618,5 +616,5 @@
       ls.SetSeedRandomly.Value = true;
       #endregion
-      ls.Engine = new ParallelEngine();
+      ls.Engine = new ParallelEngine.ParallelEngine();
       return ls;
     }
@@ -697,5 +695,5 @@
       pso.SetSeedRandomly.Value = true;
       #endregion
-      pso.Engine = new ParallelEngine();
+      pso.Engine = new ParallelEngine.ParallelEngine();
       return pso;
     }
@@ -763,5 +761,5 @@
       sa.StartTemperature.Value = 1;
       #endregion
-      sa.Engine = new ParallelEngine();
+      sa.Engine = new ParallelEngine.ParallelEngine();
       return sa;
     }
@@ -832,5 +830,5 @@
 
       #endregion
-      ts.Engine = new ParallelEngine();
+      ts.Engine = new ParallelEngine.ParallelEngine();
       return ts;
     }
@@ -898,5 +896,5 @@
 
       #endregion
-      ts.Engine = new ParallelEngine();
+      ts.Engine = new ParallelEngine.ParallelEngine();
       return ts;
     }
@@ -976,5 +974,5 @@
       vns.ShakingOperator = shakingOperator;
       #endregion
-      vns.Engine = new ParallelEngine();
+      vns.Engine = new ParallelEngine.ParallelEngine();
       return vns;
     }
@@ -1015,5 +1013,5 @@
       gpr.SetSeedRandomly = true;
       #endregion
-      gpr.Engine = new ParallelEngine();
+      gpr.Engine = new ParallelEngine.ParallelEngine();
       return gpr;
     }
@@ -1049,5 +1047,5 @@
       #region Algorithm Configuration
       ScatterSearch ss = new ScatterSearch();
-      ss.Engine = new SequentialEngine();
+      ss.Engine = new SequentialEngine.SequentialEngine();
       ss.Name = "Scatter Search - VRP";
       ss.Description = "A scatter search algorithm which solves the \"C101\" vehicle routing problem (imported from Solomon)";
@@ -1102,5 +1100,5 @@
       #region Algorithm Configuration
       RAPGA rapga = new RAPGA();
-      rapga.Engine = new SequentialEngine();
+      rapga.Engine = new SequentialEngine.SequentialEngine();
       rapga.Name = "RAPGA - Job Shop Scheduling";
       rapga.Description = "A relevant alleles preserving genetic algorithm which solves a job shop scheduling problem";
@@ -1147,5 +1145,5 @@
         .OfType<SM>()
         .Single();
-      es.Engine = new ParallelEngine();
+      es.Engine = new ParallelEngine.ParallelEngine();
     }
 
@@ -1176,5 +1174,5 @@
         tSelector.GroupSizeParameter.Value.Value = tournGroupSize;
       }
-      ga.Engine = new ParallelEngine();
+      ga.Engine = new ParallelEngine.ParallelEngine();
     }
 
@@ -1215,5 +1213,5 @@
         .OfType<MiR>()
         .Single();
-      ga.Engine = new ParallelEngine();
+      ga.Engine = new ParallelEngine.ParallelEngine();
     }
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/StorableConstructorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/StorableConstructorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/StorableConstructorTest.cs	(revision 9764)
@@ -30,5 +30,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class StorableConstructorTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/SupportVectorMachineTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/SupportVectorMachineTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/SupportVectorMachineTest.cs	(revision 9764)
@@ -21,17 +21,14 @@
 
 using System;
+using System.Collections.Generic;
 using System.Linq;
 using System.Threading;
-using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Common;
-using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Core;
+using HeuristicLab.Problems.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Algorithms.DataAnalysis;
-using HeuristicLab.Problems.DataAnalysis;
-using System.Collections.Generic;
-using HeuristicLab.Core;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class SupportVectorMachineTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ThreadSafeLogTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ThreadSafeLogTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ThreadSafeLogTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class ThreadSafeLogTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ToStringTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ToStringTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/ToStringTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab_33.Tests {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class ToStringTest {
@@ -57,6 +57,5 @@
         try {
           item.ToString();
-        }
-        catch (Exception e) {
+        } catch (Exception e) {
           TestContext.WriteLine(item.GetType() + " throws a " + e.GetType() + " in the ToString method.");
           success = false;
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessFunctionsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessFunctionsTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessFunctionsTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Algorithms.DataAnalysis_34.Tests {
+namespace HeuristicLab.Algorithms.DataAnalysis.Tests {
   [TestClass]
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessModelTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessModelTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessModelTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Algorithms.DataAnalysis_34.Tests {
+namespace HeuristicLab.Algorithms.DataAnalysis.Tests {
   [TestClass]
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessRegressionTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessRegressionTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Algorithms.DataAnalysis-3.4/GaussianProcessRegressionTest.cs	(revision 9764)
@@ -29,5 +29,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Algorithms.DataAnalysis_34.Tests {
+namespace HeuristicLab.Algorithms.DataAnalysis.Tests {
   [TestClass]
   [DeploymentItem(@"HeuristicLab.Algorithms.DataAnalysis-3.4/co2.txt")]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Analysis-3.3/MultidimensionalScalingTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Analysis-3.3/MultidimensionalScalingTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Analysis-3.3/MultidimensionalScalingTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Analysis_33.Tests {
+namespace HeuristicLab.Analysis.Tests {
   [TestClass]
   public class MultidimensionalScalingTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/BidirectionalDictionaryTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/BidirectionalDictionaryTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/BidirectionalDictionaryTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Collections_33.Tests {
+namespace HeuristicLab.Collections.Tests {
   [TestClass]
   public class BidirectionalDictionaryTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/BidirectionalLookupTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/BidirectionalLookupTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/BidirectionalLookupTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Collections_33.Tests {
+namespace HeuristicLab.Collections.Tests {
   [TestClass]
   public class BidirectionalLookupTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/ObservableKeyedListTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/ObservableKeyedListTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Collections-3.3/ObservableKeyedListTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Collections_33.Tests {
+namespace HeuristicLab.Collections.Tests {
   [TestClass]
   public class ObservableKeyedListTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/Auxiliary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/Auxiliary.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/Auxiliary.cs	(revision 9764)
@@ -20,7 +20,6 @@
 #endregion
 
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   public static class Auxiliary {
     public static bool BinaryVectorIsEqualByPosition(BinaryVector p1, BinaryVector p2) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 9764)
@@ -22,9 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
 
 
@@ -99,6 +98,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -111,6 +109,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -165,6 +162,5 @@
       try {
         actual = NPointCrossover.Apply(random, parent1, parent2, n);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SinglePositionBitflipManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SomePositionsBitflipManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/Auxiliary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/Auxiliary.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/Auxiliary.cs	(revision 9764)
@@ -22,5 +22,5 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
   public static class Auxiliary {
     public static bool IntegerVectorIsEqualByPosition(IntegerVector p1, IntegerVector p2) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for UniformOnePositionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Auxiliary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Auxiliary.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Auxiliary.cs	(revision 9764)
@@ -22,5 +22,5 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   public static class Auxiliary {
     public static bool PermutationIsEqualByPosition(Permutation p1, Permutation p2) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for CosaCrossoverTest and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossover2Test.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossover2Test.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossover2Test.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for CyclicCrossover2Test and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for CyclicCrossover and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/EdgeRecombinationCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/EdgeRecombinationCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/EdgeRecombinationCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for EdgeRecombinationCrossover and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/InsertionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/InsertionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/InsertionManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for InsertionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/InversionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/InversionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/InversionManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for InversionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/MaximalPreservativeCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/MaximalPreservativeCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/MaximalPreservativeCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for MaximalPreservativeCrossover and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderBasedCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderBasedCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderBasedCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for OrderBasedCrossoverTest and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossover2Test.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossover2Test.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossover2Test.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for OrderCrossover2Test and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for OrderCrossoverTest and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PartiallyMatchedCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PartiallyMatchedCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PartiallyMatchedCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for PartiallyMatchedCrossover and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PermutationEqualityComparerTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PermutationEqualityComparerTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PermutationEqualityComparerTest.cs	(revision 9764)
@@ -23,5 +23,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   [TestClass]
   public class PermutationEqualityComparerTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PositionBasedCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PositionBasedCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PositionBasedCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for PositionBasedCrossover and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/ScrambleManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/ScrambleManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/ScrambleManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for ScrambleManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Swap2ManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Swap2ManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Swap2ManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for Swap2Manipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Swap3ManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Swap3ManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Swap3ManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for Swap3Manipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/TranslocationInversionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/TranslocationInversionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/TranslocationInversionManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for TranslocationInversionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/TranslocationManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/TranslocationManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/TranslocationManipulatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for TranslocationManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/UniformLikeCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/UniformLikeCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/UniformLikeCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/Auxiliary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/Auxiliary.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/Auxiliary.cs	(revision 9764)
@@ -23,5 +23,5 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   public static class Auxiliary {
     public static bool RealVectorIsAlmostEqualByPosition(RealVector p1, RealVector p2) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs	(revision 9764)
@@ -22,9 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
@@ -99,6 +98,5 @@
         RealVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -111,6 +109,5 @@
         RealVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -147,6 +144,5 @@
       try {
         actual = BlendAlphaBetaCrossover.Apply(random, parent1, parent2, alpha, beta);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -161,6 +157,5 @@
       try {
         actual = BlendAlphaBetaCrossover.Apply(random, parent1, parent2, alpha, beta);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformAllPositionsManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformAllPositionsManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformAllPositionsManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for MichalewiczNonUniformAllPositionsManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformOnePositionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformOnePositionManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for MichalewiczNonUniformOnePositionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialAllPositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialAllPositionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialAllPositionManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for PolynomialAllPositionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialOnePositionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialOnePositionManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for PolynomialOnePositionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for UniformOnePositionManipulator and is intended
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/DirectScheduleGTCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/DirectScheduleGTCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/DirectScheduleGTCrossoverTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMJOXCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMJOXCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMJOXCrossoverTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMSXXCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMSXXCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMSXXCrossoverTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMShiftChangeManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMShiftChangeManipulatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/JSMShiftChangeManipulatorTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/PWRGOXCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/PWRGOXCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/PWRGOXCrossoverTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/PWRPPXCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/PWRPPXCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/PWRPPXCrossoverTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/TestUtils.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/TestUtils.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.ScheduleEncoding-3.3/TestUtils.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using HeuristicLab.Tests;
 
-namespace HeuristicLab.Encodings.ScheduleEncoding_33.Tests {
+namespace HeuristicLab.Encodings.ScheduleEncoding.Tests {
   public class TestUtils {
     public static JSMEncoding CreateTestJSM1() {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/AllArchitectureAlteringOperatorsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/AllArchitectureAlteringOperatorsTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/AllArchitectureAlteringOperatorsTest.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class AllArchitectureAlteringOperatorsTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentCreaterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentCreaterTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class ArgumentCreaterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDeleterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDeleterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDeleterTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class ArgumentDeleterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDuplicaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDuplicaterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDuplicaterTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class ArgumentDuplicaterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ChangeNodeTypeManipulationTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ChangeNodeTypeManipulationTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ChangeNodeTypeManipulationTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class ChangeNodeTypeManipulationTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/FullTreeCreatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/FullTreeCreatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/FullTreeCreatorTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class FullTreeCreatorTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/Grammars.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/Grammars.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/Grammars.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   public static class Grammars {
     public static ISymbolicExpressionGrammar CreateSimpleArithmeticGrammar() {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/GrowTreeCreatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/GrowTreeCreatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/GrowTreeCreatorTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class GrowTreeCreatorTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class ProbabilisticTreeCreaterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ReplaceBranchManipulationTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ReplaceBranchManipulationTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ReplaceBranchManipulationTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class ReplaceBranchManipulationTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineCreaterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineCreaterTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class SubroutineCreaterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDeleterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDeleterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDeleterTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class SubroutineDeleterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDuplicaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDuplicaterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDuplicaterTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class SubroutineDuplicaterTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubtreeCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubtreeCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubtreeCrossoverTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   [TestClass]
   public class SubtreeCrossoverTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/Util.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/Util.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/Util.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests {
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
   public static class Util {
     public static string GetSizeDistributionString(IList<ISymbolicExpressionTree> trees, int maxTreeLength, int binSize) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs	(revision 9764)
@@ -22,5 +22,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Persistence_33.Tests {
+namespace HeuristicLab.Persistence.Tests {
 
   [StorableClass]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs	(revision 9764)
@@ -40,8 +40,8 @@
 using HeuristicLab.Persistence.Default.Xml.Primitive;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab_33.Tests;
+using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Persistence_33.Tests {
+namespace HeuristicLab.Persistence.Tests {
 
   [StorableClass]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeDiscoveryTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeDiscoveryTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeDiscoveryTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Problems.DataAnalysis;
-using HeuristicLab_33.Tests;
+using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Tests {
   [TestClass]
   public class OnlineCalculatorPerformanceTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/StatisticCalculatorsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/StatisticCalculatorsTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/StatisticCalculatorsTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using HeuristicLab.Problems.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-namespace HeuristicLab.Problems.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Tests {
 
   [TestClass()]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/ThresholdCalculatorsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/ThresholdCalculatorsTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/ThresholdCalculatorsTest.cs	(revision 9764)
@@ -22,5 +22,5 @@
 using HeuristicLab.Problems.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-namespace HeuristicLab.Problems.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Tests {
 
   [TestClass()]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionCrossoverTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionCrossoverTest.cs	(revision 9764)
@@ -33,5 +33,5 @@
 using ExecutionContext = HeuristicLab.Core.ExecutionContext;
 
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
   [TestClass()]
   public class SymbolicDataAnalysisExpressionCrossoverTest {
@@ -137,5 +137,5 @@
 
       foreach (var tree in trees)
-        HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_34.Tests.Util.IsValid(tree);
+        HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests.Util.IsValid(tree);
     }
   }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeSimplifierTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeSimplifierTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeSimplifierTest.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
 
   [TestClass()]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicExpressionImporter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicExpressionImporter.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicExpressionImporter.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
   internal class SymbolicExpressionImporter {
     private const string VARSTART = "VAR";
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Token.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Token.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Token.cs	(revision 9764)
@@ -22,5 +22,5 @@
 using System.Globalization;
 
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
   internal enum TokenSymbol { LPAR, RPAR, SYMB, NUMBER };
   internal class Token {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Util.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Util.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Util.cs	(revision 9764)
@@ -27,5 +27,5 @@
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Random;
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
   internal class Util {
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9764)
@@ -26,8 +26,8 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis;
-using HeuristicLab.Problems.DataAnalysis.Symbolic_34.Tests;
+using HeuristicLab.Problems.DataAnalysis.Symbolic.Tests;
 using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis.Tests {
 
   [TestClass()]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/Util.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/Util.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/Util.cs	(revision 9764)
@@ -26,5 +26,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Random;
-namespace HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis_34.Tests {
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis.Tests {
   internal class Util {
     public static void InitTree(ISymbolicExpressionTree tree, MersenneTwister twister, List<string> varNames) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/CordeauGQAPInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/CordeauGQAPInstanceProviderTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/CordeauGQAPInstanceProviderTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances_33.Tests {
+namespace HeuristicLab.Problems.Instances.Tests {
   [TestClass()]
   public class CordeauGQAPInstanceProviderTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/ElloumiCTAPInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/ElloumiCTAPInstanceProviderTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/ElloumiCTAPInstanceProviderTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances_33.Tests {
+namespace HeuristicLab.Problems.Instances.Tests {
   [TestClass()]
   public class ElloumiCTAPInstanceProviderTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/QAPLIBInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/QAPLIBInstanceProviderTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/QAPLIBInstanceProviderTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances_33.Tests {
+namespace HeuristicLab.Problems.Instances.Tests {
   [TestClass()]
   public class QAPLIBInstanceProviderTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/TSPLIBInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/TSPLIBInstanceProviderTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/TSPLIBInstanceProviderTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using HeuristicLab.Problems.Instances.TSPLIB;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-namespace HeuristicLab.Problems.Instances_33.Tests {
+namespace HeuristicLab.Problems.Instances.Tests {
   [TestClass()]
   public class TSPLIBInstanceProviderTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/ClassificationInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/ClassificationInstanceProviderTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/ClassificationInstanceProviderTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.Instances.DataAnalysis.Tests {
   [TestClass()]
   public class ClassificationInstanceProviderTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.Instances.DataAnalysis.Tests {
   [TestClass()]
   public class RegressionInstanceProviderTest {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs	(revision 9764)
@@ -25,5 +25,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.Instances.DataAnalysis.Tests {
 
   [TestClass()]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9764)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+namespace HeuristicLab.Problems.TestFunctions.Tests {
 
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs	(revision 9763)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs	(revision 9764)
@@ -28,5 +28,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TravelingSalesman_33.Tests {
+namespace HeuristicLab.Problems.TravelingSalesman.Tests {
 
   /// <summary>
